develooper Front page | perl.perl5.porters | Postings from December 2000

Re: [ID 20001222.001] Not OK: perl v5.7.0 +DEVEL8221 on i686-linux 2.2.18

Thread Previous | Thread Next
From:
Nicholas Clark
Date:
December 22, 2000 12:19
Subject:
Re: [ID 20001222.001] Not OK: perl v5.7.0 +DEVEL8221 on i686-linux 2.2.18
Message ID:
20001222201922.A83284@plum.flirble.org
On Fri, Dec 22, 2000 at 11:32:29AM +0000, Michael Stevens wrote:
> A test in glob-basic.t fails:
> 
> michaels@icicle:~/perl-current> ./perl -Ilib t/lib/glob-basic.t 
> 1..9
> ok 1
> ok 2
> ok 3
> ok 4
> ok 5
> ok 6
> ok 7
> not ok 8
> ok 9

What does @a contain then?

unless (@a == 3
        and $a[0] eq ($^O eq 'VMS'? 'test.' : 'TEST')
        and $a[1] eq 'a'
        and $a[2] eq 'b')
{
    print "not ";
}
print "ok 8\n";


> The filesystem is nfs-mounted from a netapp.

>     uname='linux icicle 2.2.18 #1 tue dec 19 12:28:41 gmt 2000 i686 unknown '

                              ^ there is new NFS code in 2.2.18, isn't there?

Does it fail on 2.2.17 (or any other OS or version) NFS mounted from a
netapp?
[All my BSD tests from thinking-cap.babyhippo.co.uk are run with the build
directory NFS mounted from linux 2.2.12, so testing on that NFS mount works
100% OK]

Nicholas Clark

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About